gnutls_x509_ext_import_subject_key_id(3)

NAME
gnutls_x509_ext_import_subject_key_id - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_ext_import_subject_key_id(const gnutls_datum_t * ext, gnutls_datum_t * id);

ARGUMENTS

const gnutls_datum_t * ext
    a DER encoded extension

gnutls_datum_t * id
    will contain the subject key ID

DESCRIPTION
This function will return the subject key ID stored in the provided SubjectKeyIdentifier extension. The ID will be allocated using gnutls_malloc().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE if the extension is not present, otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/